Bug 115498 - "Open Diagrams" option in UML:General panel doesn't work
"Open Diagrams" option in UML:General panel doesn't work
Status: NEW
Product: uml
Classification: Unclassified
Component: General
5.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@uml
issues@uml
:
: 154724 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-14 00:15 UTC by Craig Conover
Modified: 2009-05-25 21:06 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Craig Conover 2007-09-14 00:15:32 UTC
The Open Diagrams option is checked by default and should be unchecked by default. When it is checked, diagrams that
were open when NB was shutdown are not reopened when NB is restarted.
Comment 1 Peter Lam 2007-09-14 06:59:39 UTC
According to my understanding, this option is not supposed to work for restarting ide. Instead, it was designed to open
the previously open diagram(s) if any associated with the uml project when it is closed and then re-opened.
Comment 2 Craig Conover 2007-09-14 17:22:44 UTC
I was under the impression it would work as Java projects with its source files works. If it was open when the IDE
shutdown, it would be reopened when it was restarted, as well as close/open just the project. I rarely find myself
opening and closing projects on a regular basis, but I do shutdown/restart the IDE with the projects I use regularly
already opened. Maybe I am not a typical user, though.

Currently, the Open Diagrams option does work for close/open UML project, but not for IDE shutdown/startup. Seems we
should match how other NB modules work.
Comment 3 Yang Su 2007-09-14 17:58:20 UTC
excerpt from previous email discussion
===========================
It was a partial solution to issue 91579 - It's good to have option to restore opened diagrams after restart ide.

Due to performance concerns, an option is provided to turn it on/off, default behavior is to open the diagrams. So it's
really a feature that was implemented to comply with the rest of IDE UI flow. IMO, looking for what you were working on
in the previous session and then open it takes a lot more time.

The implementation is fine with reopening the project without shutting down IDE, however, the mechanism used by NB to
restore a TopComponent after IDE restart is different, it tries to deserialize TC object persisted in userdir, 
something that cannot be applied to UML as diagram TC contains references to Tom Sawyer objects that are not
serializable. I haven't yet found a perfect solution (something working but with a pop up warning msg from NB) and have
dropped the effort on this for other issues.
=========================

Since it's not a complete solution, I suggest we take it out for this release and properly address it in Meteora work.
Comment 4 Joanne Lau 2008-06-18 21:16:22 UTC
Open diagrams option is checked by default in 6.5,  diagram is not open after restarting ide for UML project with
previous closing and reopening diagram.
Comment 5 Sergey Petrov 2008-12-05 13:22:50 UTC
*** Issue 154724 has been marked as a duplicate of this issue. ***


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo